TU-Berlin | → | Inst. f. Mathematik | → | Algebra und Zahlentheorie | → | KASH | → | Documentation | → | Reference Manual

| KASH3 Reference Manual

Introduction | Reference Manual | Index

search

### Function

Flat ( list l ) -> list f

### Description

<shortdoc> Flatten `l' by recursing into a nested list structure and fetching all atomary (i.e. non-lists) elements and return the result. </shortdoc>

### Examples

l:=[[1],[2,3,4]]; Flat(l);

| Built: Mon Nov 14 21:12:39 UTC 2005 on mack